QGIS Application - Bug report #18726
geopackage: real values displayed wrong in table
2018-04-15 11:30 PM - Luca Lanteri

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: DB Manager

Affected QGIS version:3.1(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 26613
Description

1. create a new geopackage layer with an attribute of type "real"

2. insert some point with decimal value

3. open the table

4. the value are displayed wrong, eg: 5.2 became 5.019999999996

See attached example

History

#1 - 2018-06-11 05:27 PM - Alessandro Pasotti
- Category changed from Data Provider to DB Manager

#2 - 2018-06-11 05:32 PM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

- Status changed from Open to Feedback

- File qgis-gpkg-issue.png added

| cannot reproduce on current master (see attachment)

#3 - 2018-08-16 10:45 AM - Giovanni Manghi
- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
1.jpg 17.3 KB 2018-04-15 Luca Lanteri
2.jpg 32.4 KB 2018-04-15 Luca Lanteri
test.gpkg 116 KB 2018-04-15 Luca Lanteri
